package app.brest.utils.files;

import android.app.Activity;
import android.content.res.AssetManager;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.net.Uri;

import java.io.IOException;
import java.io.InputStream;
import java.util.concurrent.ExecutionException;

/**
 * Created by ptitcois on 27/03/17.
 */
public class FileManager {
    protected static AssetManager m_asset=null;
    protected static Activity m_act = null;

    public static void init(Activity a)
    {
        m_act=a;
        m_asset=a.getAssets();
    }

    public static boolean isInit() throws Exception {
        if(m_asset==null)
        {
            throw new Exception("Erreur FileManager non initialisee");
        }
        return true;
    }

    public static InputStream openFile(String path) throws Exception {
        isInit();
        InputStream is = null;
        try {
            is = m_asset.open(path);
        } catch (IOException e) {
            e.printStackTrace();
        }
        return is;
    }

    public static Bitmap openImage(String path) throws Exception {
        isInit();
        InputStream is = null;
        Bitmap bitmap = null;
        try {
            is = m_asset.open(path);
            bitmap = BitmapFactory.decodeStream(is);
        } catch (IOException e) {
            e.printStackTrace();
        }
        return bitmap;
    }

    public static Uri getUri(String path) throws Exception {
        isInit();
        return Uri.parse("file:///android_asset/"+path);
    }

}
